%define upstream_name    LWP-Protocol-socks
%define upstream_version 1.7

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Adds support for the socks protocol and proxy facility
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/LWP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Socket::SSL)
BuildRequires: perl(IO::Socket::Socks)
BuildRequires: perl(LWP)
BuildRequires: perl(LWP::Protocol::https)
BuildArch: noarch

%description
Use this package when you wish to use a socks proxy for your connections.

It provides some essential hooks into the LWP system to implement a socks
"scheme" similar to http for describing your socks connection, and can be
used to proxy either http or https connections.

The use case is to use LWP::UserAgent's proxy method to register your socks
proxy like so:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.700.0-5.mga8
+ Revision: 1495486
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.700.0-4.mga7
+ Revision: 1269062
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.700.0-3.mga6
+ Revision: 1029492
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.700.0-2.mga6
+ Revision: 970351
- Mageia 6 Mass Rebuild

* Sun Oct 04 2015 shlomif <shlomif> 1.700.0-1.mga6
+ Revision: 886158
- imported package perl-LWP-Protocol-socks


* Sun Oct 04 2015 cpan2dist 1.7-1mga
- initial mageia release, generated with cpan2dist
